rpicam-apps (1.11.1-1ubuntu2) resolute; urgency=medium

  * d/control: Restrict rpicam-apps to just armhf and arm64 (LP: #2144172)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 13 Mar 2026 15:13:40 +0530

rpicam-apps (1.11.1-1ubuntu1) resolute; urgency=medium

  [ Pragyansh Chaturvedi ]
  * Merge upstream v1.11.1 (LP: #2142435, LP: #2141307). Remaining changes:
    - Update d/copyright
    - d/control: Disable building the following packages:
      + imx500-models: dependency imx500-firmware not in Ubuntu.
      + rpicam-apps-imx500-postprocess: dependency imx500-models not in Ubuntu.
      + rpicam-apps-hailo-postprocess: dependency hailort not in Ubuntu.
      + imx500-all: dependency rpicam-apps-imx500-postprocess not in Ubuntu.
      + libcamera-apps: unnecessary transitional package
      + libcamera-apps-lite: unnecessary transitional package
    - d/control:
      + Drop the following Build-Depends:
        - hailort
        - hailo-tappas-core
      + Fix the following Build-Depends:
        - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
        - pkg-config -> pkgconf
        - debhelper 11 -> debhelper-compat 13
    - d/*.lintian-overrides: Suppress no-manual-page lintian warnings
    - Remove d/compat
    - d/rules, d/control:
      + Allow IMX500 postprocessing and enable_opencv in CONFIG_FULL
      + Add libopencv-dev to Build-Depends in d/control
      + Remove Hailo postprocessing installation rules
  * Dropped changes merged upstream:
    - d/p/0001-fix-deprecated-FF_API_FF_PROFILE_LEVEL.patch: Fix deprecated
      FF_API_FF_PROFILE_LEVEL usage in encoder/libav_encoder.cpp
  * Added Changes:
    - d/rules:
      + Remove download_hailo_models and download_imx500_models options
      + Fix install paths
      + Allow imx500 to install on armhf
    - d/p/0001-fix-versioning.patch: Make try-except in utils/version.py
      broader
    - d/control: Remove binary package:
      + rpicam-apps-lite: unnecessary transitional package
    - d/control: Add binary packages:
      + rpicam-apps-core
      + rpicam-apps-opencv-postprocess
      + rpicam-apps-preview
      + rpicam-apps-encoder
      + librpicam-app-dev
      + librpicam-app1
    - Add d/*.install files for new binaries

  [ Dave Jones ]
  * d/watch: Disable download of hailo and imx500 components

 -- Dave Jones <dave.jones@canonical.com>  Tue, 03 Mar 2026 22:04:06 +0000

rpicam-apps (1.11.1-1) trixie; urgency=medium

  [ David Plowman ]
  * Check correctly for protocols that handle their own files
  * Improve software sync when frames are missing sync metadata

  [ Kletternaut ]
  * post_processing: Add object_blur stage for privacy-focused live
    blurring

  [ Naushir Patuck ]
  * build: Supress C11 extension errors in clang builds
  * core: Don't overwrite request controls
  * build: Update relase to v1.11.1

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Feb 2026 18:47:33 +0000

rpicam-apps (1.11.0-1) trixie; urgency=medium

  [ Kletternaut ]
  * apps: Fix rpicam-jpeg --metadata option

  [ Naushir Patuck ]
  * dng: Add support for mono formats
  * build: Remove NN model downloads
  * core: Allow custom floags for dlopen
  * postpocess: hailo: Add initial Hailo H10 support
  * postprocess: hailo: Rework Hailo device architecture identification
  * build: Update relase to v1.11.0

  [ Serge Schneider ]
  * Split models intro separate source packages
  * Add H10 dependencies

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Dec 2025 13:45:58 +0000

rpicam-apps (1.10.1-1) trixie; urgency=medium

  [ David Plowman ]
  * Fix help message for --zsl option

  [ Naushir Patuck ]
  * build: Update release to v1.10.1

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 28 Nov 2025 16:40:26 +0000

rpicam-apps (1.10.0-1) trixie; urgency=medium

  [ Naushir Patuck ]
  * postprocess: object_detect_udp_stage: Fix compiler warnings
  * core: Switch libcamera string controls to use std::string_view
  * postprocess: hailo: Updates for Hailo support on Trixie
  * build: Update release version to v1.10.0

  [ Serge Schneider ]
  * Re-enable Hailo support

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Nov 2025 10:56:04 +0000

rpicam-apps (1.9.1-1) trixie; urgency=medium

  * New upstream version 1.9.1
  * Remove merged patch
  * Update gbp.conf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Oct 2025 14:07:39 +0100

rpicam-apps (1.9.0-1) trixie; urgency=medium

  * New upstream version 1.9.0
  * d/: Add salsa-ci.yml
  * postprocess: object_detect_udp: Fix compiler warnings and styling

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 09 Sep 2025 14:59:25 +0100

rpicam-apps (1.8.1-1) trixie; urgency=medium

  * Trixie changes
  * Temporarily disable Hailo support

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 22 Jul 2025 13:18:51 +0100

rpicam-apps (1.8.1-1~bookworm) bookworm; urgency=medium

  * New upstream version 1.8.1
  * Bump compat level to 13
  * Update package descriptions
  * Add no-manual-page lintian overrides
  * Fix imx500-all dependencies
  * Split rpicam-apps into core applications, library and plugins
  * Replace rpicam-apps-lite with rpicam-apps-core

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 21 Jul 2025 12:27:21 +0100

rpicam-apps (1.7.0-1ubuntu6) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:22:36 +0100

rpicam-apps (1.7.0-1ubuntu5) resolute; urgency=medium

  * d/p/0001-fix-deprecated-FF_API_FF_PROFILE_LEVEL.patch: Fix deprecated
    FF_API_FF_PROFILE_LEVEL usage in encoder/libav_encoder.cpp (LP: #2137350)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 06 Jan 2026 14:58:38 +0530

rpicam-apps (1.7.0-1ubuntu4) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Wed, 31 Dec 2025 22:17:23 +0000

rpicam-apps (1.7.0-1ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:41 +0200

rpicam-apps (1.7.0-1ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:16 +0200

rpicam-apps (1.7.0-1ubuntu1) questing; urgency=medium

  * Merge with v1.7.0, Fix FTBFS with licamera0.5 (LP: #2109901)
    Remaining changes:
    - Update d/copyright
    - d/control: Disable building the following packages:
      + imx500-models: dependency imx500-firmware not in Ubuntu.
      + rpicam-apps-imx500-postprocess: dependency imx500-models not in Ubuntu.
      + rpicam-apps-hailo-postprocess: dependency hailort not in Ubuntu.
      + imx500-all: dependency rpicam-apps-imx500-postprocess not in Ubuntu.
      + libcamera-apps: unnecessary transitional package
      + libcamera-apps-lite: unnecessary transitional package
    - d/control:
      + Drop the following Build-Depends:
        - hailort
        - hailo-tappas-core
      + Fix the following Build-Depends:
        - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
        - pkg-config -> pkgconf
        - debhelper 11 -> debhelper-compat 13
    - d/*.lintian-overrides: Suppress no-manual-page lintian warnings
    - Remove d/compat
  * Drop Changes:
    - d/p/0001-fix-libav-deprecated.patch: Fix deprecated struct field access
      (sample_fmts) in encoder/libav_encoder.cpp
      [Fixed in 1.7.0]
  * Added Changes:
    - Bump Standards-Version to 4.7.2
    - d/rules, d/control:
      + Allow IMX500 postprocessing and enable_opencv in CONFIG_FULL
      + Add libopencv-dev to Build-Depends in d/control
      + Remove Hailo postprocessing installation rules

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 20 Jun 2025 12:37:46 +0530

rpicam-apps (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Apr 2025 12:39:28 +0100

rpicam-apps (1.6.0-2) unstable; urgency=medium

  * Relax hailo version requirement

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Feb 2025 16:18:22 +0000

rpicam-apps (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Update hailo-tappas-core version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Jan 2025 22:40:43 +0000

rpicam-apps (1.5.3-1ubuntu2) questing; urgency=medium

  * Rebuild against latest libcamera

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:55:19 -0400

rpicam-apps (1.5.3-1ubuntu1) plucky; urgency=medium

  * Initial upload to Ubuntu (LP: #2020101)
  * Remove postprocessing and hailo packages as they are not supported by
    libcamera in Ubuntu yet
  * d/control: Disable building the following packages:
    - rpicam-apps-hailo-postprocess
    - rpicam-apps-imx500-postprocess
    - imx500-models
    - imx500-all
  * d/control: Drop the following build dependencies:
    - libopencv-dev
    - hailort
    - hailo-tappas-core
  * d/control: Fix the following build dependencies:
    - libjpeg62-turbo-dev -> libjpeg-turbo8-dev
    - pkg-config -> pkgconf
    - debhelper 11 -> debhelper-compat 13
    - Bump Standards-Version
    - Remove unnecessary transitional packages:
      + libcamera-apps
      + libcamera-apps-lite
  * d/rules: Remove support for hailo and imx500
    postprocessing
    - Disable enable_opencv, enable_imx500 and
      enable_hailo
    - Remove hailo and postprocessing related install
      overrides in override_dh_auto_install
  * d/copyright: Fix copyrights
  * Remove d/compat
  * d/p/0001-fix-libav-deprecated.patch: Fix deprecated
    struct field access (sample_fmts) in
    encoder/libav_encoder.cpp

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 01 Apr 2025 17:32:16 +0530

rpicam-apps (1.5.3-1) unstable; urgency=medium

  * d/watch: update to new filename format
  * New upstream version 1.5.3
  * Update hailo-tappas-core version
  * Add imx500-tools to imx500-all

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 14:26:32 +0000

rpicam-apps (1.5.2-2) unstable; urgency=medium

  * Add imx500 support to armhf

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Oct 2024 23:30:31 +0100

rpicam-apps (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/gbp.conf: Add imx500-models component
  * Add rpicam-apps-imx500-postprocess and imx500-models packages
  * Add imx500-all
  * Move rpi-assets json files to postprocess packages
  * Pass --ignore-missing-info to dpkg-shlibdeps

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 28 Sep 2024 14:59:15 +0100

rpicam-apps (1.5.1-1) unstable; urgency=medium

  * Update to hailo-tappas-core 3.29.1
  * New upstream version 1.5.1

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Sep 2024 15:06:19 +0100

rpicam-apps (1.5.0-2) unstable; urgency=medium

  * Rebuild with libcamera 0.3 release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 12:47:17 +0100

rpicam-apps (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * d/rules: switch from true/false to enabled/disabled
  * Enable OpenCV postprocessing in full build
  * Enable Hailo support
  * d/rules: fix clean target

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 31 May 2024 11:29:14 +0100

rpicam-apps (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 14:33:06 +0100

rpicam-apps (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 17:14:20 +0000

rpicam-apps (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * d/w: fix match pattern

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Jan 2024 13:23:20 +0000

rpicam-apps (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Rename package to rpicam-apps
  * d/c: add python3 dependency for camera-bug-report
  * d/watch: Use the Raspberry Pi Github releases
  * Remove ldconfig triggers

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Nov 2023 15:35:54 +0000

libcamera-apps (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog rpicam-apps-preview`.
